PUT
/api/v1/kubernetes/node-pool/{node_pool_id}/update-worker-node/{node_id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/node-pool/{node_pool_id}/update-worker-node/{node_id}/?action=reboot&project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/kubernetes/node-pool/{node_pool_id}/update-worker-node/{node_id}/", params={"action": "reboot", "project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/kubernetes/node-pool/{node_pool_id}/update-worker-node/{node_id}/");url.search = new URLSearchParams({ action: "reboot", project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({}),});console.log(await response.json());Performs a lifecycle action on a single worker node. The action is chosen with the required action query parameter: power_on, power_off, reboot, or rename. The path takes the node pool service_id and the node’s id.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_pool_id
required
integer
The node pool service_id (from List Node Pools).
Example
12346node_id
required
integer
The id of the worker node (from Node Pool Details).
Example
320001Query Parameters
Section titled “Query Parameters”action
required
string
The lifecycle action to perform on the node.
Example
rebootproject_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the cluster.
Example
<LOCATION>Request Body
Section titled “Request Body”Media typeapplication/json
The lifecycle action takes an empty request body; the action is set via the action query parameter.
object
Example
{}Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
object
errors
object
message
string
Example
{ "code": 200, "message": "Action performed successfully"}